<?php
namespace PHPFusion\Team;

class Teamsql {
    public function getSubmissionQuery(array $filters = []) {
        return "SELECT *
            FROM " . DB_SUBMISSIONS . "
            " . ( !empty( $filters['condition'] ) ? "WHERE " . $filters['condition'] : '' ) . "
            LIMIT 0,1
        ";
    }

    public function getSubmitQuery() {
        return "SELECT js.submit_id, js.submit_criteria, js.submit_datestamp, ju.user_id, ju.user_name, ju.user_status, ju.user_avatar
            FROM " . DB_SUBMISSIONS . " AS js
            LEFT JOIN " . DB_USERS . " AS ju ON ju.user_id = js.submit_user
            WHERE js.submit_type = 't'
            ORDER BY submit_datestamp DESC
        ";
    }

    public function getTeamUserQuery(array $filters = []) {
        return "SELECT *
            FROM " . DB_MYTEAM . "
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }
    public function getTeamGroupQuery(array $filters = []) {
        return "SELECT *
            FROM " . DB_MYTEAM_GROUP . "
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }
    public function getUsersQuery(array $filters = []) {
        return "SELECT *
            FROM " . DB_USERS . "
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }
    public function getTeamQuery(array $filters = []) {
        return "SELECT t.*, tu.user_id, tu.user_name, tu.user_status
            FROM ".DB_MYTEAM." AS t
            LEFT JOIN " . DB_USERS . " AS tu ON tu.user_id = t.team_user_id
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }
}
