<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

use PHPFusion\Admins;

Admins::getInstance()->setAdminPageIcons( "TEAM", "<i class='admin-ico fa fa-fw fa-book'></i>" );

// inf folder
const TEAM_FOLDER = 'my_team';

// Paths
const TEAM_PATH = INFUSIONS . TEAM_FOLDER . '/';
const TEAM_TEAM = TEAM_PATH . 'images/team/';
const TEAM_GROUP = TEAM_PATH . 'images/group/';

// Locales
define( 'MYTEAM_LOCALE', fusion_get_inf_locale_path( 'team.php', TEAM_PATH . 'locale/' ) );

// Database
const DB_MYTEAM = DB_PREFIX . "my_team";
const DB_MYTEAM_GROUP = DB_PREFIX . "my_team_group";
const DB_MYTEAM_FIELD = DB_PREFIX . "my_team_field";

$inf_settings = get_settings( TEAM_FOLDER );
if (
    ( !empty( $inf_settings['team_submit'] ) && $inf_settings['team_submit'] ) &&
    ( !empty( $inf_settings['team_submit_access'] ) && checkgroup( $inf_settings['team_submit_access'] ) )
) {
    Admins::getInstance()->setSubmitData( 't', [
        'infusion_name' => TEAM_FOLDER,
        'link'          => TEAM_PATH . 'team_submit.php',
        'submit_link'   => "submit.php?stype=t",
        'submit_locale' => fusion_get_locale( 'TEAM', MYTEAM_LOCALE ),
        'title'         => fusion_get_locale( 'team_submit', MYTEAM_LOCALE ),
        'admin_link'    => TEAM_PATH . "team_admin.php" . fusion_get_aidlink() . "&section=submissions&submit_id=%s"
    ] );
}

Admins::getInstance()->setFolderPermissions( 'team', [
    'infusions/my_team/images/'             => TRUE,
    'infusions/my_team/submissions/'        => TRUE,
] );

Admins::getInstance()->setCustomFolder( 'TEAM', [
    [
        'path'  => TEAM_TEAM,
        'URL'   => fusion_get_settings( 'siteurl' ) . 'infusions/my_team/images/team/',
        'alias' => 'team'
    ],
    [
        'path'  => TEAM_GROUP,
        'URL'   => fusion_get_settings( 'siteurl' ) . 'infusions/my_team/images/group/',
        'alias' => 'group'
    ]
] );

if ( defined( 'MY_TEAM_EXISTS' ) ) {
    function myTeamCron( $data ) {
        dbquery( "DELETE FROM " . DB_MYTEAM . " WHERE team_user_id = :userid", [':userid' => $data['user_id']] );
    }

    /**
     * @uses myTeamCron()
     */
    fusion_add_hook( 'cron_job24h_users_data', 'myTeamCron' );
}
