<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: team_admin.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Team;
use PHPFusion\Team;

require_once __DIR__ . '/../../maincore.php';
require_once FUSION_ADMIN_HEADER;
require_once TEAM_PATH . "autoload.php";

class AdminTeam extends TeamServer {

    public function __construct() {
        parent::__construct();
        pageAccess( 'TEAM' );
        add_breadcrumb( ['link' => TEAM_PATH . 'team_admin.php' . fusion_get_aidlink(), 'title' => self::$locale['TEAM_002']] );
    }

    public function display_admin() {
        add_to_title( self::$locale['TEAM_002'] );
        opentable( self::$locale['TEAM_002'] );

        $section = check_get( 'section' ) && in_array( get( 'section' ), $this->allowed_pages ) ? get( 'section' ) : $this->allowed_pages[1];

        if ( $this->teamSettings['team_groupuse'] ) {
            $team_title['title'][0] = self::$locale['TEAM_M0'];
            $team_title['id'][0] = 'group';
            $team_title['icon'][0] = 'fa fa-group m-r-10';
        }
        if ( empty( $this->teamSettings['team_groupuse'] ) || self::validGroup() || get( 'tgroup_id' ) ) {
            $team_title['title'][1] = self::$locale['TEAM_M1'];
            $team_title['id'][1] = 'users';
            $team_title['icon'][1] = 'fa fa-users m-r-10';
        }
        $team_title['title'][2] = self::$locale['TEAM_M2']."&nbsp;<span class='badge'>" . dbcount( "(submit_id)", DB_SUBMISSIONS, "submit_type='t'" ) . "</span>";
        $team_title['id'][2] = 'submissions';
        $team_title['icon'][2] = 'fa fa-inbox m-r-10';
        $team_title['title'][3] = self::$locale['TEAM_M3'];
        $team_title['id'][3] = 'settings';
        $team_title['icon'][3] = 'fa fa-cog m-r-10';

        echo opentab( $team_title, $section, 'team_admin', TRUE, '', 'section', ['action', 'team_id', 'tgroup_id', 'submit_id', 'rowstart'] );
        switch ( $section ) {
            case 'users':
                Team\AdminUser::getInstance()->startUserAdmin();
                break;
            case 'submissions':
                Team\AdminSubmit::getInstance()->startAdmin();
                break;
            case 'settings':
                Team\AdminSettings::getInstance()->startSettings();
                break;
            default:
                Team\AdminGroup::getInstance()->startGroupAdmin();
                break;
        }
        echo closetab();
        closetable();
    }
}
$teamadmins = new AdminTeam();
$teamadmins->display_admin();

require_once FUSION_FOOTER;
