<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: team.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

if ( !function_exists( 'groupForm' ) ) {
    function groupForm( $info ) {
        $locale = fusion_get_locale();
        openside( $locale['edit'] );
        if ( !empty( $info ) ) {
            foreach ( $info as $cat_id => $cdata) {
                echo $cdata;
            }
        }
        closeside();
    }
}

if ( !function_exists( 'adminUserInfo' ) ) {
    function adminUserInfo( $info ) {
        $locale = fusion_get_locale();
        opentable( $info['tablename'] );
        if ( !empty( $info['newlink'] ) ) {
            echo "<div class='clearfix text-left m-b-5'><a class='btn btn-success btn-sm' href='" . $info['newlink'] . "'><i class='fa fa-fw fa-plus m-r-10'></i>" . $locale['TEAM_062'] . "</a></div>";
        }
        if ( !empty( $info['active'] ) ) {
            openside( $locale['TEAM_037'] );
            echo "<div class='table-responsive'><table class='table table-hover'>";
                adminTableHead( $info );
                adminTableData( $info['active'], $info['groupuse'] );
            echo "</table></div>";
            closeside();
        }
        if ( !empty( $info['inactiv'] ) ) {
            openside( $locale['TEAM_038'] );
            echo "<div class='table-responsive'><table class='table table-hover'>";
                adminTableHead( $info );
                adminTableData( $info['inactiv'], $info['groupuse'] );
            echo "</table></div>";
            closeside();
        }
        if ( !empty( $info['deluser'] ) ) {
            openside( $locale['TEAM_063'] );
            echo "<div class='table-responsive'><table class='table table-hover'>";
                adminTableHead( $info );
                adminTableData( $info['deluser'], $info['groupuse'] );
            echo "</table></div>";
            closeside();
        }
        if ( !empty( $info['nouser'] ) ) {
            echo "<div class='text-center well'>" . $info['nouser'] . "</div>";
        }
        closetable();
    }
}

if ( !function_exists( 'adminTableHead' ) ) {
    function adminTableHead($info) {
        $locale = fusion_get_locale();
        echo "<thead>
            <tr>
                <th class='text-center'></th>
                <th class='text-center'>" . $info['real_name_title'] . "</th>
                <th class='text-center'>" . $locale['TEAM_025'] . "</th>";
                if ( $info['groupuse'] ) {
                    echo "<th class='text-center'>" . $locale['TEAM_033'] . "</th>";
                }
                echo "<th class='text-center'>" . $locale['TEAM_034'] . "</th>
                <th class='text-center'>" . $locale['TEAM_041'] . "</th>
            </tr>
        </thead>";
    }
}

if ( !function_exists( 'adminTableData' ) ) {
    function adminTableData( $info, $group = NULL ) {
        $locale = fusion_get_locale();
        echo "<tbody>";
        foreach ( $info as $tid => $tdata ) {
            echo "<tr data-id='" . $tid . "' id=cat'" . $tid . "'>
                <td>" . $tdata['avatar'] . "</td>
                <td>" . $tdata['real_name'] . "</td>
                <td>" . $tdata['name'] . "</td>";
                if ( !empty( $group ) ) {
                    echo "<td>" . $tdata['group'] . "</td>";
                }
                echo "<td>" . $tdata['position'] . "</td>
                <td>" . $tdata['useredit'] . " || " . $tdata['userdelete'] . "</td>
            </tr>";
        }
        echo "</tbody>";
    }
}

if ( !function_exists( 'groupTeamInfo' ) ) {
    function groupTeamInfo( $info ) {
        $locale = fusion_get_locale();
        opentable( $info['tablename'] );
        if ( empty( $info['nogroup'] ) ) {
            $infoteam = $info['group'][0]['team'];
            if ( !empty( $infoteam['active'] ) ) {
                openside( $locale['TEAM_037'] );
                    teamUserData( $infoteam['active'] );
                closeside();
            }
        } else {
        if ( !empty( $info['group'] ) ) {
            openside( $locale['TEAM_037'] );
            echo "<div id='accordion'>";
                foreach ( $info['group'] as $cat_id => $cdata ) {
                    $btn = ( empty( $cdata['tgroup_pic'] ) ? '-success' : '' );
                    echo "<div class='card text-center'>
                        <div class='card-header' id='heading" . $cat_id . "'>
                            <a class='btn btn" . $btn . "' data-toggle='collapse' href='#teamcollapse" . $cat_id . "' role='button' aria-expanded='false' aria-controls='#teamcollapse" . $cat_id . "'>" . ( !empty( $cdata['tgroup_pic'] ) ? "<img src='" . $cdata['tgroup_pic'] . "' title='" . $cdata['tgroup_name'] . "' />" : $cdata['tgroup_name'] ) . "</a>
                        </div>
                        <div class='collapse' id='teamcollapse" . $cat_id . "' aria-labelledby='teamcollapse" . $cat_id . "' data-parent='#accordion'>";
                        if ( !empty( $cdata['team']['active'] ) ) {
                                teamUserData( $cdata['team']['active'] );
                        } else {
                            echo "<div class='text-center well'>Nincs adat</div>";
                        }
                        echo "</div>";
                    echo "</div>";
                }
            echo "</div>";
            closeside();
        }}
        if ( !empty( $info['inactive'] ) ) {
            openside( $locale['TEAM_038'] );
                teamUserData( $info['inactive'] );
            closeside();
        }
        if ( !empty( $info['deluser'] ) ) {
            openside( $locale['TEAM_064'] );
                teamUserData( $info['deluser'] );
            closeside();
        }
        if ( !empty( $info['nouser'] ) ) {
            echo "<div class='text-center well'>" . $info['nouser'] . "</div>";
        }
        closetable();
    }
}

if ( !function_exists( 'teamUserData' ) ) {
    function teamUserData( $info ) {
        if ( !empty( $info ) ) {
            echo "<div class='row equal-height'>";
                foreach ( $info as $tid => $tdata ) {
                    echo "<div class='col-xs-12 col-sm-4 content m-b-10'>";
                        echo "<div class='post-item'>";
                        partnerList( $tdata );
                        echo "</div>
                    </div>";
                }
            echo "</div>";
        }
    }
}

if (!function_exists("partnerList")) {
    function partnerList( $value) {
        $locale = fusion_get_locale();
        if ( !empty( $value ) ) {
            $html = "<div class='col-xs-12'>";
                    $html .= "<div class='well clearfix'>";
                        $html .= "<div class='overflow-hide p-r-10'>";
                            $html .= "<div class='panel text-center'>";
                                $html .= "<div class='text-center'>" . $value['avatar'] . "</div>";
                                $html .= "<div class='strong m-t-10'>" . $value['real_name'] . "</div>";
                            if ( $value['description'] ) {
                                $html .= "<div class='justify m-t-10'>" . nl2br( trim_text( strip_tags( $value['description'] ), 200 ) ) . "</div>";
                            }
                            $html .= "</div>";
                        $html .= "</div>";
                        $html .= "<div class='panel-footer text-center'>" . $value['count'] . ( !empty( $value['enddate'] ) ? ', ' . $locale['TEAM_039'] . ' ' .$value['enddate'] : '' ) . "</div>";
                    $html .= "</div>";
            $html .= "</div>";
        } else {
            $html = "<div class='well text-center'>".$locale['TEAM_E10']."</div>";
        }
        echo $html;
    }
}

if ( !function_exists( 'teamWievUser' ) ) {
    function teamWievUser( $value ) {
        openside( $value['real_name'] );
        if ( !empty( $value ) ) {
            echo "<div class='text-center m-b-10'>" . fusion_get_locale('TEAM_065', MYTEAM_LOCALE) . "</div>
            <div class='row'>
                <div class='col-xs-12'>
                    <div class='well clearfix'>
                        <div class='overflow-hide p-r-10'>
                            <div class='panel text-center'>
                                <div class='text-center'>" . $value['avatar'] . "</div>
                                <div class='strong m-t-10'>". $value['status'] . " " . $value['real_name'] . "</div>
                                <div class='m-t-10'>" . $value['name'] . "</div>
                                <div class='m-t-10'>" . $value['position'] . "</div>";
                                if ( $value['description'] ) {
                                    echo "<div class='justify m-t-10'>" . $value['description'] . "</div>";
                                }
                            echo "</div>
                        </div>
                        <div class='panel-footer text-center'>";
                            if ( !empty( $value['profil_link'] ) ) {
                                foreach ( $value['profil_link'] as $tdata ) {
                                    echo $tdata;
                                }
                            }
                            if ( !empty( $value['admin_link'] ) ) {
                                $i = 0;
                                foreach ( $value['admin_link'] as $tdata ) {
                                    echo ( $i == 0 && !empty( $tdata ) ? ' || ' : '' ) . $tdata;
                                    $i++;
                                }
                            }
                        echo "</div>
                    </div>
                </div>
            </div>";
        }
        closeside();
    }
}

if ( !function_exists( 'teamSubmissions' ) ) {
    function teamSubmissions( $info ) {
        opentable( $info['tablename'] );
        if ( !empty( $info['submit'] ) ) {
            echo "<div class='well spacer-xs text-center'>" . $info['guidelines'] . "</div>";
            foreach ( $info['submit'] as $subdata ) {
                echo $subdata;
            }
        }
        if ( !empty( $info['confirm'] ) ) {
            echo "<div class='well text-center'>
                <p class='strong'>" . $info['confirm']['title'] . "</p>
                <p class='strong'>" . $info['confirm']['index_link'] . "</p>
            </div>";
        }
        if ( !empty( $info['no_submit'] ) ) {
            echo "<div class='well text-center'>" . $info['no_submit'] . "</div>";
        }
        closetable();
    }
}

if ( !function_exists( 'teamSubmitList' ) ) {
    function teamSubmitList( $info ) {
        opentable( $info['tablename'] );
        if ( !empty( $info['table'] ) ) {
            echo "<div class='well clearfix'>
                <div class='pull-left'>" . $info['avatar'] . "</div>
                <div class='overflow-hide'>" . $info['submissionInfo'] . "</div>
            </div>";
            foreach ( $info['table'] as $subid => $subdata ) {
                echo $subdata;
            }
        }
        closetable();
    }
}
