<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: 1.5.0.upgrade.inc
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
$inf_version = '1.5.0';
require_once INCLUDES."infusions_include.php";

$locale = fusion_get_locale();

// Install a forum voting table
if ( !db_exists( DB_PREFIX . 'my_team_group' ) ) {
    $table_query = DB_PREFIX . "my_team_group (
    tgroup_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    tgroup_parent MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
    tgroup_name VARCHAR(200) NOT NULL DEFAULT 'Group',
    tgroup_pic VARCHAR(150) NOT NULL DEFAULT '',
    tgroup_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
    PRIMARY KEY (tgroup_id)
    ) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";
    dbquery( "CREATE TABLE " . $table_query );
}
// Install a new thread tags table
if ( !db_exists( DB_PREFIX . 'my_team_field' ) ) {
    $table_query = DB_PREFIX . "my_team_field (
    field_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    field_teamid MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
    field_email VARCHAR(100) NOT NULL DEFAULT '',
    field_phone VARCHAR(20) NOT NULL DEFAULT '',
    field_web VARCHAR(200) NOT NULL DEFAULT '',
    PRIMARY KEY (field_id),
    KEY field_teamid (field_teamid)
    ) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";
    dbquery( "CREATE TABLE " . $table_query );
}

$check_array = [
    // Add support for keywords in article cats items
    'team_nickname'    => " ADD team_nickname VARCHAR(250) NOT NULL DEFAULT '' AFTER team_real_name",
    'team_groups'      => " ADD team_groups INT(11) NOT NULL DEFAULT '0' AFTER team_nickname",
    'team_inactivdesc' => " ADD team_inactivdesc TEXT AFTER team_active",
    'team_enddate'     => " ADD team_enddate INT(10) UNSIGNED NOT NULL DEFAULT '0' AFTER team_datestamp"
];

foreach ( $check_array as $key => $value ) {
    if ( !column_exists( DB_MYTEAM, $key ) ) {
        $inf_altertable[] = DB_MYTEAM . $value;
    }
}

// Insert new and old settings tables to Infusions table
$settings = get_settings( TEAM_FOLDER );
$check_array = [
    'team_nametype' => 1,
    'team_groupuse' => 1,
    'team_email'    => 0,
];
foreach ( $check_array as $key => $value ) {
    if ( !isset( $settings[$key] ) ) {
        $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $key . "', '" . $value . "', '" . TEAM_FOLDER . "')";
    }
}

$result = dbquery("SELECT * FROM " . DB_PREFIX . "my_team" );
if ( dbrows( $result ) > 0 ) {
    while ($data = dbarray($result)) {
        $inf_insertdbrow[] = DB_PREFIX . "my_team_field (field_teamid, field_email, field_phone, field_web) VALUES ('" . $data['team_id'] . "', '" . $data['team_email'] . "', '" . $data['team_phone'] . "', '" . $data['team_web'] . "')";
    }
}

$check_array = [
    'team_email' => " DROP team_email",
    'team_phone' => " DROP team_phone",
    'team_web'   => " DROP team_web"
];

foreach ( $check_array as $key => $value ) {
    if ( column_exists( DB_PREFIX . "my_team", $key, FALSE ) ) {
        $inf_altertable[] = DB_PREFIX . "my_team" . $value;
    }
}
